%define DATE 20010805
%define is_release 1
%define beta %{nil}
%define rel 1

Name: kdesdk
Version: 2.2.2
%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
Source: %{name}-%{version}-%{beta}.tar.bz2
%else
Release: %{rel}
Source: %{name}-%{version}.tar.bz2
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
Source: %{name}-%{DATE}.tar.bz2
%endif
Summary: The KDE Software Development Kit (SDK).
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}
Prereq: /sbin/ldconfig
Obsoletes: kbabel ktranslator kless
BuildRoot: %{_tmppath}/%{name}-root

%description
This is a collection of applications and tools used by KDE developers.


%package devel
Summary: Development files for kdesdk.
Group: Development/Libraries

%description devel
Development files (headers) for kdesdk.


%prep
%if %{is_release}
%setup -q
%else
%setup -q -n %{name}
%endif
make -f Makefile.cvs
unset QTDIR || :
. /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" ./configure --prefix=/usr --mandir=%{_mandir} --includedir=/usr/include/kde

%build
LANG=C make %{?smp_mflags}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove dupes from kdeartwork
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps/kbabel.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps/kbabel.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps/kless.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/mimetypes/gettext.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps/kless.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/mimetypes/gettext.png

# Remove dupes from kdevelop
rm -f $RPM_BUILD_ROOT/usr/bin/extractrc

# make symlinks relative
(
  mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/common
  cd $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en
  for i in *; do
    if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
    fi
  done
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/lib/kde2/*
/usr/lib/*.so*
/usr/lib/*.la
%{_mandir}/man1/cvs2pack.1*
%{_mandir}/man1/cvschanged.1*
%{_mandir}/man1/cvsversion.1*
%{_mandir}/man1/kde-build.1*
%{_mandir}/man1/noncvslist.1*
/usr/share/applnk/Development/kbabel.desktop
/usr/share/applnk/Development/kbabeldict.desktop
/usr/share/applnk/Utilities/kless.desktop
%dir /usr/share/apps/kbabel
/usr/share/apps/kbabel/*
%dir /usr/share/apps/kbabeldict
/usr/share/apps/kbabeldict/*
%dir /usr/share/apps/kmtrace
/usr/share/apps/kmtrace/*
%doc %dir /usr/share/doc/HTML/en/kbabel
%doc /usr/share/doc/HTML/en/kbabel/*
%doc %dir /usr/share/doc/HTML/en/markup
%doc /usr/share/doc/HTML/en/markup/*
/usr/share/icons/*/*/*/*
/usr/share/mimelnk/application/*.desktop
/usr/share/services/*.desktop

%files devel
%defattr(-,root,root)
%dir /usr/include/kde/kbabel
/usr/include/kde/kbabel/*
/usr/include/kde/*.h
/usr/lib/*.a

%changelog
* Thu Nov 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-1
- 2.2.2

* Sat Sep 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.1-1
- 2.2.1

* Thu Aug 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-2
- Remove duplicates from kdeartwork-locolor (part of #51589)

* Mon Aug  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-1
- 2.2 final

* Sat Aug 04 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010804.1
- update
- fix bug #50665

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove extractrc (it's in kdevelop)
- remove ia64 workarounds

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- update

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
